<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<%-- jsp directives --%>
	<%@ page isELIgnored="false" %>
	<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

	<title>Some Hotel Resrvation System</title>
</head>

<body>

	<h2>Some Hotel Resrvation System - Selection form</h2>
	
	<p>The following rooms are available from the search. Select and submit a row from the list to start the reservation process.</p>


	<!-- p>Todays Date: <%= new java.util.Date() %></p -->

	<table border="1" cellpadding="5">
	<tr>
		<th>Room No</th>
		<th>Room Type</th>
		<th>Smoking</th>
		<th>Rate</th>
		<th>Available Date</th>
		<th>Select & Submit</th>
	</tr>

	<c:forEach var="room" items="${sessionScope.availableRooms}" >
	<tr>
		<td>${room.no}</td>
		<td>${room.type}</td>
		<td>${room.smoking}</td>
		<td>${room.rate}</td>
		<td>${room.availableDate}</td>
		<td>
			<form name="reserveSubmitForm" action="reserve.jsp">
				<input type="submit" name="reserveButton" value="Reserve"</input>
				<input type="hidden" name="roomno" value="${room.no}"</input>
				<input type="hidden" name="roomtype" value="${room.type}"</input>
				<input type="hidden" name="roomsmoke" value="${room.smoking}"</input>
				<input type="hidden" name="roomrate" value="${room.rate}"</input>
				<input type="hidden" name="roomavail" value="${room.availableDate}"</input>
			</form>
		</td>
	</tr>	
		
	</c:forEach>
		
	</table>


</body>

</html>	
	