package com.javaquizplayer.examples;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class HotelServlet extends HttpServlet {

	private String jspfile;

	public void init()
			throws ServletException {

		ServletConfig config = getServletConfig();
		jspfile = config.getInitParameter("selectroom");
	}
	
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		HttpSession session = request.getSession();
		List<HotelRoom> data = loadData();
		session.setAttribute("availableRooms", data);
		RequestDispatcher dispatcher =
				getServletContext().getRequestDispatcher(jspfile);
		dispatcher.forward(request, response);
	}

	private List<HotelRoom> loadData() {
	
		List<HotelRoom> list = new ArrayList<HotelRoom>();
		
		list.add(new HotelRoom("102", "Double", "No", "120", "20-Apr-2014"));
		list.add(new HotelRoom("119", "Single", "Yes", "100", "21-Apr-2014"));
		list.add(new HotelRoom("209", "Single", "Yes", "100", "21-Apr-2014"));
		list.add(new HotelRoom("312", "Double", "No", "130", "24-Apr-2014"));
		
		return list;
	}
}